Subject: Re: Complex Valued Hartree-Calculations

From: [email-masked] (Ayaz Bakasov, Phys. Chem., ETH Zurich)
Date: Mon, 27 Mar 1995 23:51:56 +0200

Dear Netters,

I think the question posted
by Antonio M. Ferreira
is a very interesting one.
Should I dare to pass this discission
on to our list ?
Here is his original question
and my (perhaps a bit hastily made)
reply.
Sincerely,
Ayaz Bakasov.

> Date:	27-MAR-1995 22:22:28.46
> From:	ETHZ::""Antonio M. Ferreira" 
> <[email-masked]>"
> Subj:	Complex Valued Hartree-Calculations
> To:	[email-masked]
> 
> I am looking for any information concerning
>  complex-valued HF calculatoins.  I understand 
> that this has been done in the past, however 
> I have been unable to find the references.  
> I would appreciate any information out there,
> particularly on such calculations using 
> complex basis functions leading to complex 
> density matricies.
>
>To anyone who can help me, I offer my appreciation 
> and sincere thanks.
>
>Tony
>

Dear Antonio M. Ferreira,

I believe that the rejection of complex valued
SCF in quantum chemistry is a historical mistake
-- it will be eventually improved.

The physical ground is that as long as
the main features of molecular behavour 
are concerned, the Coulomb interaction 
is the leading one - it strongly dominates
other interactions like spin-orbit or hyperfine.
The Coulomb interaction (taken solely) produces
a wave function which has a GLOBAL complex phase
which can be put equal to zero everywhere
in configuration space (at zero external fields).

ONLY magnetic interactions lead 
to the physical necessity to
compexify the wave function
and to introduce LOCAL complex phase
which depends on coordinates.

For instance, in NMR it is a routine
to use complex wave functions 
in ab initio calculations
though the magnetic fields are EXTERNAL.
Take as example the IGLO package.

There are internal magnetic fields
but the bulk of quantum chemists
believe that they are not significant
for most of applications.
It is a prejudice and chemists
have no motivation to give it up yet.
And they make the weather in the field
-- the orthodox physicists left long time
ago for high energy physics, nuclear physics
and so forth (to look for "fundamental problems"), 
so the molecular physics
was left to people who were really interested 
in it - to chemists. :-)

So, "no need to use complex SCF"
for zero external magnetic fields.

No reason to laugh - one has to have
more education in physics, and it will require
some time to overcome the
inertia to use MOSTLY real wave functions.

G92 provides with quite strange means
(from physical point of view)
which allow to complexify wave function
-- look up the manual on page 40,
option 'Complex'. It has no great meaning,
>from a point of view of a physicist.

One idea, is however, accepted
(under the pressure of Pople's authority):
it is that one has to complexify wave function
in the crossing region.
The reference is this:
J.A.Pople, 
"Electronic States and Wave Functions
 Associated with Orbital Energy Crossing"
Int. J. Quantum Chem, Symposium,
No.5, 175-182 (1971).
            
Beware: it is just TECHNICAL
way to avoid (or "solve", as you wish)
a purely technical problem INHERENT TO MO APPROACH.
It, again, has NO physical significance.

I contacted MANY distinguished people
in computational molecular physics
or in "quantum chemistry"
(asking them this "silly" question).
It is a very firm consensus
NOT to use complex wave functions
- and no clear reason to that.

I wish you to go ahead in this field
and to succeed to create a good HF-code,
you will find numerous users to it
(I will be the first in queue :-)  ).
I myself regret to say that
present constraints don't allow me
to spend more time on this
though I will be very glad to cooperate 
on the topic and to put on the table what
I already have about it.
I didn't abandon the hope yet
that one day I will be working
on the problem.

If there will be enough material for a summary,
it would be nice to have it posted,
on CCL for instance.

Once more, the best wishes.

Sincerely,
Ayaz Bakasov.